SAGA and TauDEM algs in QGIS from KingChaos package

classic Classic list List threaded Threaded
10 messages Options
Reply | Threaded
Open this post in threaded view
|

SAGA and TauDEM algs in QGIS from KingChaos package

Salvatore Larosa-2
Hi all,

I have installed 2.14.8 from William Kyngesburye's packages, all ok. I
noticed that almost all the algs of SAGA and TauDEM do not work.

For SAGA (2.2.3) algs I get:

/Users/slarosa/.qgis2//processing/saga_batch_job.sh: line 3: 83064
Segmentation fault: 11 saga_cmd io_gdal 0 -TRANSFORM 1 -INTERPOL 0
-GRIDS "/var/folders/h4/ymlf4sqx66g989f8b_mm5pdc0000gn/T/processing45f98c0dfd2042c79bc1adcee612ca04/acef19e7bc864fe29f0453d612165424/elevationutm.sgrd"
-FILES "/Users/slarosa/MU/elevation_utm.tif"

Error: input file
[/var/folders/h4/ymlf4sqx66g989f8b_mm5pdc0000gn/T/processing45f98c0dfd2042c79bc1adcee612ca04/acef19e7bc864fe29f0453d612165424/elevationutm.sgrd]

Error: Zone Grid

That was happening with the Zonal Raster Statistics alg. But I get the
identical error (segmentation fault) with the others algorithms.

For TauDEM algs I get systematically an "Unsupported Data Source" error:

is not a supported raster data source TIFFReadDirectory:Failed to read
directory at offset 1991676

Anyone confirms?
Can I exclude a local problem with my machine (OSX El Capitan)?

--
Salvatore Larosa
linkedIn: http://linkedin.com/in/larosasalvatore
twitter: @lrssvt
skype: s.larosa
IRC: lrssvt on freenode
_______________________________________________
Qgis-developer mailing list
[hidden email]
List info: http://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: http://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|

Re: SAGA and TauDEM algs in QGIS from KingChaos package

Sebastiaan Couwenberg
On 11/20/2016 04:11 PM, Salvatore Larosa wrote:
> I have installed 2.14.8 from William Kyngesburye's packages, all ok. I
> noticed that almost all the algs of SAGA and TauDEM do not work.

http://hub.qgis.org/issues/13279

SAGA changes its API too often, and QGIS has not been adapted to work
with the SAGA 2.3.x LTS releases yet.

Kind Regards,

Bas

--
 GPG Key ID: 4096R/6750F10AE88D4AF1
Fingerprint: 8182 DE41 7056 408D 6146  50D1 6750 F10A E88D 4AF1
_______________________________________________
Qgis-developer mailing list
[hidden email]
List info: http://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: http://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|

Re: SAGA and TauDEM algs in QGIS from KingChaos package

pcav
In reply to this post by Salvatore Larosa-2
Il 20 novembre 2016 16:11:22 CET, Salvatore Larosa <[hidden email]> ha scritto:
Hi all,

I have installed 2.14.8 from William Kyngesburye's packages, all ok. I
noticed that almost all the algs of SAGA and TauDEM do not work.

For SAGA (2.2.3) algs I get:

/Users/slarosa/.qgis2//processing/saga_batch_job.sh: line 3: 83064
Segmentation fault: 11 saga_cmd io_gdal 0 -TRANSFORM 1 -INTERPOL 0
-GRIDS "/var/folders/h4/ymlf4sqx66g989f8b_mm5pdc0000gn/T/processing45f98c0dfd2042c79bc1adcee612ca04/acef19e7bc864fe29f0453d612165424/elevationutm.sgrd"
-FILES "/Users/slarosa/MU/elevation_utm.tif"

Error: input file
[/var/folders/h4/ymlf4sqx66g989f8b_mm5pdc0000gn/T/processing45f98c0dfd2042c79bc1adcee612ca04/acef19e7bc864fe29f0453d612165424/elevationutm.sgrd]

Error: Zone Grid

That was happening with the Zonal Raster Statistics alg. But I get the
identical error (segmentation fault) with the others algorithms.

For TauDEM algs I get systematically an "Unsupported Data Source" error:

is not a supported raster data source TIFFReadDirectory:Failed to read
directory at offset 1991676

Anyone confirms?
Can I exclude a local problem with my machine (OSX El Capitan)?

Yes, know issues, tickets open. Easy to fix BTW.
All the best.
--
Sent from mobile. Sorry for being short
_______________________________________________
Qgis-developer mailing list
[hidden email]
List info: http://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: http://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|

Re: SAGA and TauDEM algs in QGIS from KingChaos package

Salvatore Larosa-2
In reply to this post by Sebastiaan Couwenberg
On Sun, Nov 20, 2016 at 4:13 PM, Sebastiaan Couwenberg
<[hidden email]> wrote:
> On 11/20/2016 04:11 PM, Salvatore Larosa wrote:
>> I have installed 2.14.8 from William Kyngesburye's packages, all ok. I
>> noticed that almost all the algs of SAGA and TauDEM do not work.
>
> http://hub.qgis.org/issues/13279
>
> SAGA changes its API too often, and QGIS has not been adapted to work
> with the SAGA 2.3.x LTS releases yet.

Thank you for your quick reply.
The issue is a segfault here and OSX package (QGIS LTR 2.14.8) bundled
with SAGA 2.2.3.
Anyway I don't see a syntax command error as mentioned from the issue
which seems was fixed, at least for the 2.2.x version.

Best Regards,
-SL

--
Salvatore Larosa
linkedIn: http://linkedin.com/in/larosasalvatore
twitter: @lrssvt
skype: s.larosa
IRC: lrssvt on freenode
_______________________________________________
Qgis-developer mailing list
[hidden email]
List info: http://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: http://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|

Re: SAGA and TauDEM algs in QGIS from KingChaos package

Salvatore Larosa-2
In reply to this post by pcav
On Sun, Nov 20, 2016 at 5:12 PM, Paolo Cavallini <[hidden email]> wrote:
> Yes, know issues, tickets open. Easy to fix BTW.
> All the best.
> --
> Sent from mobile. Sorry for being short

I am confused, which issue is easy to fix, TauDEM or SAGA or both? and How?
Do you were referring to your ticket (#13279)? I don't see a segfault
there though

--
Salvatore Larosa
linkedIn: http://linkedin.com/in/larosasalvatore
twitter: @lrssvt
skype: s.larosa
IRC: lrssvt on freenode
_______________________________________________
Qgis-developer mailing list
[hidden email]
List info: http://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: http://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|

Re: SAGA and TauDEM algs in QGIS from KingChaos package

William Kyngesburye
In reply to this post by Salvatore Larosa-2
The version I bundle is 2.2.3, not 2.3.x, and is supported by Processing.

I get the segfault when I try, details tell me it's happening when SAGA tries to get the projection info from the file.  I don't know how to fix this, and it's not a QGIS problem but a SAGA problem.  I wonder if SAGA 2.2.x is not fully compatible with GDAL 2.1, I did see an initial item in the SAGA 2.2.0 changelog mentioning GDAL 2 compatibility that "was not complete", but no other changes in later versions specifically about improving GDAL 2 compatibility.

> On Nov 20, 2016, at 10:21 AM, Salvatore Larosa <[hidden email]> wrote:
>
> On Sun, Nov 20, 2016 at 4:13 PM, Sebastiaan Couwenberg
> <[hidden email]> wrote:
>> On 11/20/2016 04:11 PM, Salvatore Larosa wrote:
>>> I have installed 2.14.8 from William Kyngesburye's packages, all ok. I
>>> noticed that almost all the algs of SAGA and TauDEM do not work.
>>
>> http://hub.qgis.org/issues/13279
>>
>> SAGA changes its API too often, and QGIS has not been adapted to work
>> with the SAGA 2.3.x LTS releases yet.
>
> Thank you for your quick reply.
> The issue is a segfault here and OSX package (QGIS LTR 2.14.8) bundled
> with SAGA 2.2.3.
> Anyway I don't see a syntax command error as mentioned from the issue
> which seems was fixed, at least for the 2.2.x version.
>
> Best Regards,
> -SL
>
> --
> Salvatore Larosa
> linkedIn: http://linkedin.com/in/larosasalvatore
> twitter: @lrssvt
> skype: s.larosa
> IRC: lrssvt on freenode
> _______________________________________________
> Qgis-developer mailing list
> [hidden email]
> List info: http://lists.osgeo.org/mailman/listinfo/qgis-developer
> Unsubscribe: http://lists.osgeo.org/mailman/listinfo/qgis-developer

-----
William Kyngesburye <kyngchaos*at*kyngchaos*dot*com>
http://www.kyngchaos.com/

Earth: "Mostly harmless"

- revised entry in the HitchHiker's Guide to the Galaxy


_______________________________________________
Qgis-developer mailing list
[hidden email]
List info: http://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: http://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|

Re: SAGA and TauDEM algs in QGIS from KingChaos package

Johan Van de Wauw
Can you check if you have the same error when using saga_cmd without
using processing?

@William: Which compiler was used for saga on mac os x? We had an
issue with gcc6 - this looks similar. It is fixed in trunk and in
(upcoming) 2.3.2 release of SAA.

Kind Regards,
Johan

On Sun, Nov 20, 2016 at 7:15 PM, William Kyngesburye
<[hidden email]> wrote:

> The version I bundle is 2.2.3, not 2.3.x, and is supported by Processing.
>
> I get the segfault when I try, details tell me it's happening when SAGA tries to get the projection info from the file.  I don't know how to fix this, and it's not a QGIS problem but a SAGA problem.  I wonder if SAGA 2.2.x is not fully compatible with GDAL 2.1, I did see an initial item in the SAGA 2.2.0 changelog mentioning GDAL 2 compatibility that "was not complete", but no other changes in later versions specifically about improving GDAL 2 compatibility.
>
>> On Nov 20, 2016, at 10:21 AM, Salvatore Larosa <[hidden email]> wrote:
>>
>> On Sun, Nov 20, 2016 at 4:13 PM, Sebastiaan Couwenberg
>> <[hidden email]> wrote:
>>> On 11/20/2016 04:11 PM, Salvatore Larosa wrote:
>>>> I have installed 2.14.8 from William Kyngesburye's packages, all ok. I
>>>> noticed that almost all the algs of SAGA and TauDEM do not work.
>>>
>>> http://hub.qgis.org/issues/13279
>>>
>>> SAGA changes its API too often, and QGIS has not been adapted to work
>>> with the SAGA 2.3.x LTS releases yet.
>>
>> Thank you for your quick reply.
>> The issue is a segfault here and OSX package (QGIS LTR 2.14.8) bundled
>> with SAGA 2.2.3.
>> Anyway I don't see a syntax command error as mentioned from the issue
>> which seems was fixed, at least for the 2.2.x version.
>>
>> Best Regards,
>> -SL
>>
>> --
>> Salvatore Larosa
>> linkedIn: http://linkedin.com/in/larosasalvatore
>> twitter: @lrssvt
>> skype: s.larosa
>> IRC: lrssvt on freenode
>> _______________________________________________
>> Qgis-developer mailing list
>> [hidden email]
>> List info: http://lists.osgeo.org/mailman/listinfo/qgis-developer
>> Unsubscribe: http://lists.osgeo.org/mailman/listinfo/qgis-developer
>
> -----
> William Kyngesburye <kyngchaos*at*kyngchaos*dot*com>
> http://www.kyngchaos.com/
>
> Earth: "Mostly harmless"
>
> - revised entry in the HitchHiker's Guide to the Galaxy
>
>
> _______________________________________________
> Qgis-developer mailing list
> [hidden email]
> List info: http://lists.osgeo.org/mailman/listinfo/qgis-developer
> Unsubscribe: http://lists.osgeo.org/mailman/listinfo/qgis-developer
_______________________________________________
Qgis-developer mailing list
[hidden email]
List info: http://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: http://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|

Re: SAGA and TauDEM algs in QGIS from KingChaos package

Salvatore Larosa-2
On Sun, Nov 20, 2016 at 9:04 PM, Johan Van de Wauw
<[hidden email]> wrote:
> Can you check if you have the same error when using saga_cmd without
> using processing?

I also tried saga_cmd from shell with the following command:

saga_cmd io_gdal 0 -TRANSFORM 1 -INTERPOL 0 -GRIDS
"/Users/slarosa/MU/elevationutm.sgrd" -FILES
"/Users/slarosa/MU/elevation_utm.tif"

and it throws:
...
21:15:02: Error: Failed to get the working directory (error 2: No such
file or directory)
____________________________

library path: /Applications/QGIS.app/Contents/MacOS/lib/saga/

library name: libio_gdal

library     : GDAL/OGR

tool        : Import Raster

author      : O.Conrad (c) 2007 (A.Ringeler)

____________________________

Parameters

Grids: No objects

Files: "/Users/slarosa/MU/elevation_utm.tif"

Transformation: yes

Interpolation: Nearest Neighbor

loading: /Users/slarosa/MU/elevation_utm.tif

Driver: GTiff

Bands: 1

Rows: 857

Columns: 581

Transformation:
  x' = 592364.913689 + x * 19.998468 + y * 0.000000
  y' = 4366938.815080 + x * 0.000000 + y * -20.010110

loading band [1/1]
Segmentation fault: 11



--
Salvatore Larosa
linkedIn: http://linkedin.com/in/larosasalvatore
twitter: @lrssvt
skype: s.larosa
IRC: lrssvt on freenode
_______________________________________________
Qgis-developer mailing list
[hidden email]
List info: http://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: http://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|

Re: SAGA and TauDEM algs in QGIS from KingChaos package

William Kyngesburye
On Nov 20, 2016, at 2:19 PM, Salvatore Larosa <[hidden email]> wrote:

>
> On Sun, Nov 20, 2016 at 9:04 PM, Johan Van de Wauw
> <[hidden email]> wrote:
>> Can you check if you have the same error when using saga_cmd without
>> using processing?
>
> I also tried saga_cmd from shell with the following command:
>
> saga_cmd io_gdal 0 -TRANSFORM 1 -INTERPOL 0 -GRIDS
> "/Users/slarosa/MU/elevationutm.sgrd" -FILES
> "/Users/slarosa/MU/elevation_utm.tif"
>
> and it throws:
> ...
> 21:15:02: Error: Failed to get the working directory (error 2: No such
> file or directory)

I don't get a directory error, but it does say "Grids: No objects".

> On Nov 20, 2016, at 2:04 PM, Johan Van de Wauw <[hidden email]> wrote:
>
> @William: Which compiler was used for saga on mac os x? We had an
> issue with gcc6 - this looks similar. It is fixed in trunk and in
> (upcoming) 2.3.2 release of SAA.
>
I'm using Clang 7.0.2 from Xcode 7.2.  Is the fix something that can be backported to 2.2?  QGIS doesn't support 2.3+ yet.

-----
William Kyngesburye <kyngchaos*at*kyngchaos*dot*com>
http://www.kyngchaos.com/

"Oh, look, I seem to have fallen down a deep, dark hole.  Now what does that remind me of?  Ah, yes - life."

- Marvin


_______________________________________________
Qgis-developer mailing list
[hidden email]
List info: http://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: http://lists.osgeo.org/mailman/listinfo/qgis-developer
Reply | Threaded
Open this post in threaded view
|

Re: SAGA and TauDEM algs in QGIS from KingChaos package

Salvatore Larosa-2
On Mon, Nov 21, 2016 at 3:25 AM, William Kyngesburye
<[hidden email]> wrote:

> On Nov 20, 2016, at 2:19 PM, Salvatore Larosa <[hidden email]> wrote:
>>
>> On Sun, Nov 20, 2016 at 9:04 PM, Johan Van de Wauw
>> <[hidden email]> wrote:
>>> Can you check if you have the same error when using saga_cmd without
>>> using processing?
>>
>> I also tried saga_cmd from shell with the following command:
>>
>> saga_cmd io_gdal 0 -TRANSFORM 1 -INTERPOL 0 -GRIDS
>> "/Users/slarosa/MU/elevationutm.sgrd" -FILES
>> "/Users/slarosa/MU/elevation_utm.tif"
>>
>> and it throws:
>> ...
>> 21:15:02: Error: Failed to get the working directory (error 2: No such
>> file or directory)
>
> I don't get a directory error, but it does say "Grids: No objects".
>
>> On Nov 20, 2016, at 2:04 PM, Johan Van de Wauw <[hidden email]> wrote:
>>
>> @William: Which compiler was used for saga on mac os x? We had an
>> issue with gcc6 - this looks similar. It is fixed in trunk and in
>> (upcoming) 2.3.2 release of SAA.
>>
> I'm using Clang 7.0.2 from Xcode 7.2.  Is the fix something that can be backported to 2.2?  QGIS doesn't support 2.3+ yet.

Just more info on this issue:
I just noticed that saga commands work correctly when the SRS layers
is not projected (i.e. epsg:4326).
Using UTM projection (i.e epsg:32633) on raster and vector layer SAGA
fails with segfault.

Thanks to take in account this issue.

--
Salvatore Larosa
linkedIn: http://linkedin.com/in/larosasalvatore
twitter: @lrssvt
skype: s.larosa
IRC: lrssvt on freenode
_______________________________________________
Qgis-developer mailing list
[hidden email]
List info: http://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: http://lists.osgeo.org/mailman/listinfo/qgis-developer